# Uses of Class
org.apache.datasketches.tuple.UpdatableTupleSketchBuilder

Packages that use UpdatableTupleSketchBuilder
Package
Description
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.

## Uses of UpdatableTupleSketchBuilder in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple that return UpdatableTupleSketchBuilder
Modifier and Type
Method
Description
`UpdatableTupleSketchBuilder<U,S>`
UpdatableTupleSketchBuilder.`setNominalEntries(int nomEntries)`
This is to set the nominal number of entries.
`UpdatableTupleSketchBuilder<U,S>`
UpdatableTupleSketchBuilder.`setResizeFactor(ResizeFactor resizeFactor)`
This is to set the resize factor.
`UpdatableTupleSketchBuilder<U,S>`
UpdatableTupleSketchBuilder.`setSamplingProbability(float samplingProbability)`
This is to set sampling probability.